/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
type RunJSValue = {
    code: string;
    version?: string;
};
export declare function extractPropertyPath(value: string): string[] | null;
export declare function formatPathToVariable(path: string[]): string;
export declare function isVariableExpression(value: unknown): boolean;
export declare function normalizeRunJSValue(value: RunJSValue | null | undefined): Required<RunJSValue>;
export {};
